%global commit a7e4d911e92a7063888528afe0efe321c02b9a7b
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapshotdate 20180806
Name:           CubicSDR
Version:        0.2.4
Release:        3.%{snapshotdate}git%{shortcommit}%{?dist}.2
Summary:        Cross-Platform Software-Defined Radio Panadapter

# The primary license of CubicSDR is GPLv2+.
# There are multiple third party libraries bundled in the source of CubicSDR.
# external/loadpng/ and external/tinyxml/ use the zlib/libpng license
# external/rs232/, external/liquid-dsp/, src/util/DataTree* use the MIT/X11 (BSD like) license
# Note: external/hamlib/ and external/rtaudio/ are provided by the source, but at
#  build and run time we use system-provided copies of these libraries
License:        GPLv2+ and MIT and zlib
URL:            https://cubicsdr.com
Source0:        https://github.com/cjcliffe/%{name}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
Source1:        CubicSDR
# Revert changes that require wxWidgets 3.1, as that's a prerelease
# version that is not in Fedora or EPEL.
Patch0:         0001-Revert-wxWidgets-3.1-usage.patch
# Upstream includes local copies of librs232 and tinyxml unfortunately.
#    https://github.com/cjcliffe/CubicSDR/issues/670
Provides: bundled(librs232) = 0.21
Provides: bundled(tinyxml) = 2.6.2
# Upstream includes local copy of lodepng not present in Fedora already
Provides: bundled(lodepng) = 20180809
BuildRequires:  cmake gcc-c++ SoapySDR-devel liquid-dsp-devel wxGTK3-devel hamlib-devel fftw-devel rtaudio-devel
BuildRequires:  desktop-file-utils

%description
Cross-Platform Software-Defined Radio Panadapter

%prep
%autosetup -n %{name}-%{commit} -p1

%build
%cmake -Wno-dev -DCMAKE_BUILD_TYPE=Release -DwxWidgets_CONFIG_EXECUTABLE=$(which wx-config) -DUSE_HAMLIB=1 -DUSE_SYSTEM_RTAUDIO=1 .
%make_build


%install
%make_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
mv %{buildroot}/%{_bindir}/CubicSDR %{buildroot}/%{_bindir}/CubicSDR.bin
install -m 0755 %{SOURCE1} %{buildroot}/%{_bindir}/CubicSDR

%files
%license LICENSE
%{_bindir}/*
# Upstream includes local copies of Bitstream Vera fonts
#    https://github.com/cjcliffe/CubicSDR/issues/669
%dir %{_datadir}/cubicsdr
%{_datadir}/cubicsdr/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Sep 28 2020 Matt Domsch <matt@domsch.com> 0.2.4-3.20180806gita7e4d91.2
- Rebuilt for hamlib 4.0

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-3.20180806gita7e4d91
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2.20180806gita7e4d91
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Aug  7 2018 Matt Domsch <matt@domsch.com> 0.2.4-1.20180806gita7e4d91
- Initial Fedora packaging
